curl --request POST \
--url https://api.baselayer.com/consortium/searches/batches \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.baselayer.com/consortium/searches/batches"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api.baselayer.com/consortium/searches/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"progress": 0,
"completed_count": 0,
"total_count": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Post Consortium Search Batch
Submit a CSV of consortium searches (one search per row, one of each identifier). Always processed asynchronously (202 + batch id); poll GET /consortium/searches/batches/ and download per-row results via /consortium/searches/batches//download. Batches are capped at 40,000 rows. Allowed columns: reference_id, ein, phone, email, website, business_name, officer_first_name, officer_last_name, officer_state, address_street, address_city, address_state, address_zip, business_id.
Authorizations
Body
Response
Successful Response
Returned when a batch is accepted and by the polling endpoint.
The batch's id, used to poll status and fetch results.
Processing state of the batch.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED When the batch was accepted.
Fraction of entries processed so far, in [0, 1].
0
Number of entries processed so far.
0
Total number of entries in the batch.
100